Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.util
Class TilesDecorationFilter

    java.lang.Object
      org.apache.tiles.web.util.TilesDecorationFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class TilesDecorationFilter

extends java.lang.Object
implements javax.servlet.Filter

Decoration Filter. Intercepts all requests and decorates them with the configured definition.

For example, given the following config:

     <filter>
     <filter-name>Tiles Decoration Filter</filter-name>
     <filter-class>org.apache.tiles.web.TilesDecorationFilter</filter-class>
     <init-param>
     <param-name>definition</param-name>
     <param-value>test.definition</param-value>
     </init-param>
     <init-param>
     <param-name>attribute-name</param-name>
     <param-value>body</param-value>
     </init-param>
     <init-param>
     <param-name>prevent-token</param-name>
     <param-value>layout</param-value>
     </init-param>
     </filter>
     <p/>
     <filter-mapping>
     <filter-name>Tiles Decoration Filter</filter-name>
     <url-pattern>/testdecorationfilter.jsp</url-pattern>
     <dispatcher>REQUEST</dispatcher>
     </filter-mapping>

The filter will intercept all requests to the indicated url pattern store the initial request path as the "body" attribute and then render the "test.definition" definition. The filter will only redecorate those requests which do not contain the request attribute associated with the prevent token "layout".

Field Summary
`static java.lang.String` | `CONTAINER_KEY_INIT_PARAMETER` Init parameter to define the key of the container to use.

Constructor Summary
`TilesDecorationFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain filterChain)`
`javax.servlet.FilterConfig` | `getFilterConfig()` Returns the filter configuration object.
`javax.servlet.ServletContext` | `getServletContext()` Returns the servlet context.
`void` | `init(javax.servlet.FilterConfig config)`
`protected java.util.Map<java.lang.String,java.lang.String>` | `parseAlternateDefinitions()` Creates the alternate definitions map, to map a mask of definition names to a configured definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINER_KEY_INIT_PARAMETER

    public static final java.lang.String CONTAINER_KEY_INIT_PARAMETER

  Init parameter to define the key of the container to use.

  Since:
    2.1.2
  See Also:
    Constant Field Values

Constructor Detail

### TilesDecorationFilter

    public TilesDecorationFilter()

Method Detail

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Returns the filter configuration object.

  Returns:
    The filter configuration.

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Returns the servlet context.

  Returns:
    The servlet context.

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### parseAlternateDefinitions

    protected java.util.Map<java.lang.String,java.lang.String> parseAlternateDefinitions()

  Creates the alternate definitions map, to map a mask of definition names to a configured definition.

  Returns:
    The alternate definitions map.

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse res,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.